Bug 1986090 - Cannot delete ClusterAutoscaler CR with foreground deletion
Summary: Cannot delete ClusterAutoscaler CR with foreground deletion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Joel Speed
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On:
Blocks: 1991501
TreeView+ depends on / blocked
 
Reported: 2021-07-26 16:24 UTC by Joel Speed
Modified: 2021-10-18 17:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1991501 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:41:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-autoscaler-operator pull 215 0 None open Bug 1986090: Do not recreate CA deployment when CA CR is being deleted 2021-07-26 16:27:50 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:42:29 UTC

Description Joel Speed 2021-07-26 16:24:13 UTC
Description of problem:

When you delete a ClusterAutoscaler resource with foreground deletion, a finalizer is added to the resource that prevents the GC from removing the resource until all of its dependents are removed from the cluster.

This is currently broken and the resource is never removed.


Version-Release number of selected component (if applicable):


How reproducible:

100%


Steps to Reproduce:
1. create a ClusterAutoscaler
2. oc delete clusterautoscaler default --cascade=foreground

Actual results:

CAO fights against the GC to delete and recreate the deployment rapidly, as such the CA resource exists in perpetuity


Expected results:

CA resource should go away once the deployment is deleted

Additional info:

Comment 2 sunzhaohua 2021-08-02 06:23:59 UTC
verified
clusterversion: 4.9.0-0.nightly-2021-08-01-132055

$ oc create -f ~/data/cao.yaml
clusterautoscaler.autoscaling.openshift.io/default created
$ oc delete clusterautoscaler default --cascade=foreground
clusterautoscaler.autoscaling.openshift.io "default" deleted
$ oc get clusterautoscaler
No resources found

Comment 5 errata-xmlrpc 2021-10-18 17:41:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.